﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MainClient
{
    public partial class FrmMain : Form
    {
        public FrmMain()
        {
            InitializeComponent();
        }

        private void FrmMain_Load(object sender, EventArgs e)
        {
            string modules_dir = AppDomain.CurrentDomain.BaseDirectory + "Modules";
            List<string> modules_name;
            if (!ModuleManager.LoadModules(modules_dir, out modules_name))
            {
                MessageBox.Show("模块加载失败。");
                return;
            }

            foreach (string name in modules_name)
            {
                ToolStripButton ctl = new ToolStripButton(name);
                ctl.Click += new EventHandler(ctl_Click);
                tool_main.Items.Add(ctl);
            }
        }

        void ctl_Click(object sender, EventArgs e)
        {
            string name = ((ToolStripButton)sender).Text;

            Form frm = ModuleManager.LoadModule(name);
            frm.MdiParent = this;
            frm.Show();
        }
    }
}
