﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Reflection;
using System.IO;

namespace Module1
{
    partial class FrmModule1 : Form
    {
        private string m_file;

        public FrmModule1(string file)
        {
            InitializeComponent();
            m_file = file;
        }

        private void btn_Show_Click(object sender, EventArgs e)
        {
            string msg = Assembly.GetExecutingAssembly().GetName().Version.ToString();

            MessageBox.Show(this.Text + ": version=" + msg);
        }

        private void btn_Del_Click(object sender, EventArgs e)
        {
            try
            {
                File.Delete(m_file);
                MessageBox.Show("文件 " + m_file + " 删除成功");
            }
            catch (Exception ex)
            {
                MessageBox.Show("文件 " + m_file + " 删除失败 - " + ex.Message);
            }
        }
    }
}
